
QGIS Application - Bug report #18393

GRASS plugin is not available from debian repository if GRASS 7.4 is installed

2018-03-08 05:29 PM - Guillaume Larocque

Status: Rejected

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:3.0.0 Regression?: No

Operating System: Debian/Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 26283

Description

in https://qgis.org/debian/ repository, qgis-plugin-grass depends on grass721, so it doesn't install if grass74 is installed.

History

#1 - 2018-03-08 05:31 PM - Giovanni Manghi

- Category changed from GRASS to Build/Install

#2 - 2018-03-08 05:58 PM - Jürgen Fischer

For which distribution version?

#3 - 2018-03-08 05:59 PM - Jürgen Fischer

- Status changed from Open to Feedback

#4 - 2018-03-08 06:01 PM - Guillaume Larocque

Ubuntu 17.10 (artful).

#5 - 2018-03-08 06:23 PM - Jürgen Fischer

- Status changed from Feedback to Rejected

- Resolution set to invalid

artful has GRASS 7.2.1.  bionic has GRASS 7.4.0

#6 - 2018-03-08 06:47 PM - Guillaume Larocque

But installation instructions for GRASS say:

Users of non-LTS release (like Ubuntu 17.10): Add GRASS Stable PPA

sudo add-apt-repository ppa:grass/grass-stable

So, QGIS and GRASS instructions don't line up.

#7 - 2018-03-09 12:54 AM - Jürgen Fischer
https://qgis.org/debian/
https://packages.ubuntu.com/search?keywords=grass&#38;searchon=names&#38;suite=artful&#38;section=all
https://packages.ubuntu.com/search?keywords=grass&#38;searchon=names&#38;suite=bionic&#38;section=all


Guillaume Larocque wrote:

But installation instructions for GRASS say:

Users of non-LTS release (like Ubuntu 17.10): Add GRASS Stable PPA

sudo add-apt-repository ppa:grass/grass-stable

So, QGIS and GRASS instructions don't line up.

Well, they don't have to as they are independant.  You can install QGIS on plain artful and you can install GRASS on plain artful.  But there isn't a build of

QGIS that supports the GRASS installed from the GRASS ppa - and we don't claim there is.   You need to build QGIS from source to support the newer

GRASS on artful.
